List Profiles
This endpoint retrieves the details of all profiles that have previously been created.
Query Parameters
- Type: integer Format: int32offset
Offset value for a paginated list of profiles. Can be zero for the first time and
current_offsetvalue received from the last request afterwards. - Type: integer Format: int32size
Page size for the paginated list. Default:
10
Responses
- application/json
Request Example for get/video/profiles
curl https://api.gumlet.com/v1/video/profiles \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"all_profiles": [
{
"profile_id": "61921fb10822a81d955d1730",
"name": "Gumlet-Profile-1",
"transformations": {
"format": "hls",
"audio_codec": [
"aac"
],
"video_codec": [
"libx264"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": true
},
"created_at": 1636966321742,
"updated_at": 1636966321742
},
{
"profile_id": "619206f80822a81d955cb2b1",
"name": "Gumlet Video Profile-1",
"transformations": {
"format": "hls",
"audio_codec": [
"aac"
],
"video_codec": [
"libx264"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": true
},
"created_at": 1636959992966,
"updated_at": 1636959992966
},
{
"profile_id": "61666fce68d8028cdd8e3417",
"name": "new-staging-1",
"transformations": {
"format": "hls",
"resolution": [
"240p",
"360p",
"480p",
"540p",
"720p",
"1080p"
],
"video_codec": [
"libx264"
],
"audio_codec": [
"aac"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": true
},
"created_at": 1634103246666,
"updated_at": 1634103246666
},
{
"profile_id": "615db3e70ba15d66354583c2",
"name": "new-staging-p",
"transformations": {
"resolution": [
"240p",
"360p",
"480p",
"540p",
"720p"
],
"format": "hls",
"audio_codec": [
"aac"
],
"video_codec": [
"libx264"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": true
},
"created_at": 1633530855475,
"updated_at": 1633530855475
},
{
"profile_id": "615d84e80ba15d66354534fe",
"name": "new-profile-test",
"transformations": {
"resolution": [
"240p",
"360p",
"480p",
"540p",
"720p",
"1080p"
],
"format": "hls",
"audio_codec": [
"aac"
],
"video_codec": [
"libx264"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": true,
"per_title_encoding": true
},
"created_at": 1633518824278,
"updated_at": 1633518824278
},
{
"profile_id": "60a3f690687a6ca9aad205dc",
"name": "staging-profile",
"transformations": {
"format": "hls",
"resolution": {
"0": "240p",
"1": "360p",
"2": "480p",
"3": "540p"
},
"video_codec": [
"libx264"
],
"audio_codec": [
"aac"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": true,
"per_title_encoding": true,
"trim": {}
},
"created_at": 1621358224338,
"updated_at": 1633517722412
},
{
"profile_id": "609cf385fb00af2de13f8b3f",
"name": "non-pte-test-profile",
"transformations": {
"format": "hls",
"resolution": [
"240p",
"360p",
"480p",
"540p",
"720p",
"1080p"
],
"video_codec": [
"libx264"
],
"audio_codec": [
"aac"
],
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"per_title_encoding": false
},
"created_at": 1620898693836,
"updated_at": 1620898693836
},
{
"profile_id": "5feaf9a22e3cb37e8417174e",
"name": "Gumlet Video Profile-1",
"transformations": {
"format": "hls",
"video_codec": [
"libx264"
],
"audio_codec": [
"aac"
],
"text_overlay": {
"text": "Gumlet",
"vertical_align": "top",
"horizontal_align": "left",
"vertical_margin": "10%",
"horizontal_margin": "10%",
"font_color": "black",
"font": "sans",
"font_size": 45,
"box": true,
"box_color": "white",
"box_border": 10
},
"thumbnail": [
"auto"
],
"thumbnail_format": "png",
"mp4_access": false,
"image_overlay": {
"url": "https://assets.gumlet.io/assets/logo.svg?format=png",
"vertical_align": "top",
"horizontal_align": "left",
"vertical_margin": "5%",
"horizontal_margin": "5%",
"width": "10%",
"height": "10%"
}
},
"created_at": 1609234850093,
"updated_at": 1609235119156
}
],
"total_profile_count": 8,
"current_offset": 8
}
